<template>
  <div>
    <div class="bg-front">
      <img src="../../public/images/fruits.jpg">
    </div><br><br>
    <div class="pt-4">
      <b-container class="p-4 center" fluid>
        <b-row class="p-3">
          <b-col cols="md-7 sm-12 xs-12">
            <div>
              <b-carousel
                class="custom-shadow custom-round"
                id="carousel-fade"
                fade
                :interval="3000"
                indicators
                img-width="1024"
                img-height="480"
              >
                <b-carousel-slide
                  caption="Comfortable"
                  img-src="https://i.ibb.co/5xmfj2h/knitting.jpg"
                ></b-carousel-slide>
                <b-carousel-slide
                  caption="Wide Variety"
                  img-src="https://i.ibb.co/JRF2S7q/baskets.jpg"
                ></b-carousel-slide>
                <b-carousel-slide
                  caption="Soft and Warm"
                  img-src="https://i.ibb.co/nP0sybX/25.png"
                ></b-carousel-slide>
              </b-carousel>
            </div>
          </b-col>
          <b-col cols="md-5 sm-12 xs-12">
            <p class="text-titles">Hand Made Apparel</p>
            <p class="text-regular">made with love <i class="fas fa-heart"></i> </p>
            <div class="pt-4">
              <b-button class="btn-red" to="/products">Products</b-button>
              <b-button class="btn-border btn-disabled"> <i class="fas fa-phone"></i> (0)755-768-8996</b-button>
            </div>
          </b-col>
        </b-row>
      </b-container>
    </div>
    <!-- icons -->
    <div class="pt-5 big-icons-container">
      <div class="pt-5 big-icons center">
        <b-row>
          <b-col class="col-md-3 col-sm-6"><img src="../../public/icons/sheep.png" alt="100% Wool ideal for winter">
            <h3>100% Wool</h3>
            <p class="grey-text">Keep warm on Winter!</p>
          </b-col>
          <b-col class="col-md-3 col-sm-6"><img src="../../public/icons/yarn.png" alt="20 years crafting">
            <h3>20 Years crafting</h3>
            <P class="grey-text">Wide variety of designs </P>
          </b-col>
          <b-col class="col-md-3 col-sm-6"><img src="../../public/icons/beanie.png" alt="beautiful apparel">
            <h3>Beautiful Apparel</h3>
            <P class="grey-text">Beanies, Scarfs, Gloves and more</P>
          </b-col>
          <b-col class="col-md-3 col-sm-6"><img src="../../public/icons/scarf.png" alt="apparel custom designs">
            <h3>Custom Designs!</h3>
            <P class="grey-text">Let me know how you like it <i class="far fa-smile-beam"></i> </P>
          </b-col>
        </b-row>
      </div>
    </div><br><br>
    <!-- carousel -->
    <div class="pt-5 grey-bg center">
      <h3 class="pt-4 top-small">Feature Products</h3>
      <p class="grey-text collection">2020 Collection or Tell me how would you like it and I make it!!</p>
      <div class="container">
        <Carousel/>
      </div><br>
      <b-btn class="btn-border" to="/products">View all</b-btn>
      <br><br><br>
    </div>
    <!-- mimo -->
    <div class="pt-5 center">
      <div class="pt-4 container top-small">
        <b-row>
          <b-col class="big-icons">
            <img src="../../public/icons/mimo-icon.png">
            <h3 class="pt-3">Know Mimo !</h3>
            <p class="grey-text">Mimo is my #1 Fan <br>Modeling this time a cute kitti Scarf <br>collection 2020, Made with love <i class="far fa-heart border-heart"></i></p>
          </b-col>
          <b-col>
            <img src="../../public/images/mimo2.jpeg" class="mimo">
          </b-col>
        </b-row>
      </div>
    </div>

  </div>
</template>

<script>
import Carousel from '@/components/Carousel'

export default {
  components: {
    Carousel
  }
}
</script>

<style scoped>
.text-titles {
  font-size: 68px;
  padding-top: 134px;
}
.text-regular {
  font-size: 28px;
  letter-spacing: 8px;
  font-family: 'Advent Pro', Montserrat;
}
.bg-front {
  position: absolute;
  z-index: -1;
}
.bg-front img {
  width: 100%;
  height: 100vh;
  opacity: 0.2
}
.mimo {
  height: 350px;
  border-radius: 20px;
  /* border: 6px dashed lightcoral; */
  box-shadow: 0px 0px 10px 4px #e86f68
}
.btn-disabled {
  cursor: default !important
}
.btn-red {
  margin-right: 10px
}
@media only screen and (max-width: 1289px) {
  .text-titles {
    font-size: 48px;
    padding-top: 40px;
  }
  .text-regular {
    font-size: 20px;
    letter-spacing: 6px;
  }
  .big-icons h3 {
    font-size: 22px
  }
  .big-icons p {
    font-size: 16px
  }
  .big-icons img {
    height: 116px;
  }
  .text-titles {
    font-size: 36px;
  }
  .collection {
    max-width: 80%;
    margin: 0 auto;
    padding-bottom: 10px
  }
}
@media only screen and (max-width: 600px) {
  .big-icons-container {
    margin-top: 30px
  }
  .top-small {
    padding-top: 6px !important
  }
  .mimo {
    height: 280px;
  }
}
</style>